// Do files - BB adapted from Kenzo 12/4/2012, edited again 23/4/2014 for BCS 2012




**********************************************************************************************
**********************************************************************************************
* BCS 1980
**********************************************************************************************
**********************************************************************************************
use bcsid e4_1 e4_2 using original_datafiles\bcs1980, clear
* Renaming
	ren e4_1 prgdrkearl
	ren e4_2 prgdrklate
	renvars _all, postfix(80)
	rename bcsid80 bcsid
gen wave=80
save temp\bcs80, replace

	
	
	
	
**********************************************************************************************
**********************************************************************************************
* BCS 1986
**********************************************************************************************
**********************************************************************************************

/*Had to separate the dataset in 2 because if not I got the message "too many variables specified"*/
use bcsid hd17* hd18_1 hd3* hd4* hd5* pg8* using original_datafiles\bcs7016x, clear 
save temp\bcs86_part2, replace

#delimit ;
use bcsid sex86 hd21* oe3* c5c* hd1 hd1b* c5r3 hd19* c5t10 c5t11 c5t13 c5t14 c5t18 c5t19 oa4_1 f63* 
	gg6_2 hd13* gg1 hd2* hd12*
	c5g8 f56 f57* c5j39* f59a /*q22_20*/ c5k12 c5k14 hd1a* f58* q31_* q32_* q33_* c5r1*
	c5t6 gb2 gb8* pc6_1 c5g28 gd1a gd2 gg3 gg4 gg4a hb5a* hb5b* 
	oe2 og2*
	oe1_1 oe1_2 oe1_3 oe1_4 oe1_5 oe1_6 oe1_7 oe1_8 oe1_9 oe1_10 oe1_11 oe1_12 
		oe1_13 oe1_14 oe1_15 oe1_16 oe1_17 oe1_18 oe1_19
	pd1_1 pd1_3 pd1_5 pd1_10 pd1_14 pd1_20 pd2* rb1 rc4* t2* t6* t7* t9* c5i4 c5i10 pa1*  
	c5f* 	c5i1 	c5i2	c5i3	c5i4	c5i5	c5i6	c5i7	c5i8	c5i9	c5i10	c5i11	c5i12	
	gh1a1	gh1a2	gh1a3	gh1a4	gh1a5	gh1a6	gh1a7	gh1a8	gh2		
	gh3_1	gh3_2	gh3_3	gh3_4	gh3_5	gh3_6	gh3_7	gh3_8	gh3_9	
	gh22	gh25_1	gh25_2	gh25_3	gh25_4	gh25_5	gh26	gh27a	gh27b	gh28_1	gh28_2	gh28_3	gh28_4	gh28_5 	gh28_6	
	hb4_1	hb4_2	q39_1	q39_2	q39_3	q39_4	q39_5	q39_6	q39_7	q39_8	
	q310_1	q310_2	q310_3	q310_4	q310_5	q310_6	q310_7	q310_8	q310_9	q310_10	q310_11	q310_12	q310_13	q310_14
	q310_15	q310_16	q310_17	q310_18	q310_19	q310_20	q310_21	q310_22	q310_23	q310_24	q310_25	q310_26	q310_27	q310_28
	q310_29	q310_30	q310_31	q310_32	q310_33	q310_34	q310_35	q310_36	q310_37	q310_38	q310_39	q310_40	q310_41	q310_42
	q310_43	q310_44	q310_45	q310_46	q310_47	q310_48	q312_1	q312_2	q312_3	q312_4	q312_5	q312_6	q313_*	q314_*
	q317_1	q317_2	q317_3	q317_4	q317_5	q317_6	q317_7	q317_8
	c5e*	c5h*	c5b*	q21_*	q22_*	hd10_6	hd11*	hd14	hd15	hd16_1	hd16_2
using original_datafiles\bcs7016x, clear;
#delimit cr

merge m:m bcsid using temp\bcs86_part2, gen (merge86_2parts)

* Renaming & other minor edits
	* hd17_8 THIS TEXT VARIABLE IS NOT IN DATASET
	label variable f59a "number times visit pub or bar past 2 weeks"
	label variable gg6_2 "100% more money: would spend it on alcohol?"
	* Renaming
	ren sex86	sex
	ren	hd1		alcfreq
	ren	f57_sh	alcshwk
	ren	c5c1	nopbnofn
	ren	c5c2	dklkself
	ren	c5c3	dktpwrld
	ren	c5c4	dkhlpshy
	ren	c5c5	dkwrryad
	ren	c5c6	dkntdang
	ren	c5c7	dkenjoy
	ren	c5c8	dkprghrm
	ren	c5c9	dkflease
	ren	c5c10	dkattrct
	ren	c5c11	dkfight
	ren	c5c12	dkntrlmn
	ren	c5c13	dkadenjy
	ren	c5c14	dknowrng
	ren	c5c15	dkfriend
	ren	c5c16	dkstpnsh
	ren	c5c17	dkbdhlth
	ren	c5g8	dkmore
	ren	c5g28	famlfstb
	*ren	c5i4	happyP
	*ren	c5i10	depresdP
	ren	c5j39a	pubfreqP
	ren	c5j39b	pubfreqB
	ren	c5k12	dkintN
	ren	c5k14	smkintN
	ren	c5r1	ptvsrlfq
	ren	c5r3	ptpubfq
	ren	c5r10	ptprtyfq
	ren	c5r11	ptchrchfq
	ren	c5r12	ptcinefq
	ren	c5r13	ptmealfq
	ren	c5r14	ptrestfq
	ren	c5r15	ptmusicfq
	ren	c5t6	ptexdoB
	ren	c5t10	ptexwkndB
	ren	c5t11	ptextimeB
	ren	c5t13	ptexwhrB
	ren	c5t14	ptexwhoB
	ren	c5t18	ptexnopbB
	ren	c5t19	ptexfrlkB
	ren	f56		daysalcwk
	ren	f57_b	alcbrwk
	ren	f57_c	alccdwk
	ren	f57_w	alcwnwk
	ren	f57_v	alcmtwk
	ren	f57_sp	alcspwk
	ren	f57_tot	alctotwk
	ren	f58a	alcsupwk
	ren	f58b	alcoffwk
	ren	f58c	alcpubwk
	ren	f58d	alchomwk
	ren	f58e	alcfrnd
	ren	f58f	alcrelwk
	ren	f58g	alcprty
	ren	f58h	alcelse
	ren	f59a	pbvisits
	ren	f63a1	pktmngbp
	ren	f63a2	pktmnpen
	ren	f63b1	jobmngbp
	ren	f63b2	jobmnpen
	ren	f63c1	gftmngbp
	ren	f63c2	gftmnpen
	ren	gb2	ptstrctN
	ren	gb8_1	thngsmum
	ren	gb8_2	thngsdad
	ren	gb8_3	thngspar
	ren	gd1a	religbrn
	ren	gd2	religimpN
	ren	gg1	moneyregN
	ren	gg3	mondeprB
	ren	gg4	monmiss
	ren	gg4a	monmind
	ren	gg6_2	twomonalc
	ren	hb5a_1	frdschvnr
	ren	hb5a_2	frdschnr
	ren	hb5a_3	frdschml
	ren	hb5a_4	frdschfar
	ren	hb5b_1	frdothvnr
	ren	hb5b_2	frdothnr
	ren	hb5b_3	frdothml
	ren	hb5b_4	frdothfar
	ren	hd1a_1	alcsocia
	ren	hd1a_2	alchabit
	ren	hd1a_3	alclike
	ren	hd1a_4	alcrelax
	ren	hd1a_5	alc4get
	ren	hd1a_6	alcinhib
	ren	hd1a_7	alcptime
	ren	hd1b_1	nalcaffr
	ren	hd1b_2	nalcknow
	ren	hd1b_3	nalctast
	ren	hd1b_4	nalcoppr
	ren	hd1b_5	nalcyng
	ren	hd1b_6	nalcprnt
	ren	hd1b_7	nalcrel
	ren	hd1b_8	nalcwast
	ren	hd1b_9	nalcnfam
	ren	hd1b_10	nalcnhlt
	ren	hd1b_11	nalcnfrd
	ren	hd1b_12	nalcbdef
	ren	hd2	infal
	ren	hd2b_1	infalsct
	ren	hd2b_2	infalscv
	ren	hd2b_3	infaltv
	ren	hd2b_4	infalleaf
	ren	hd2b_5	infalyth
	ren	hd2b_6	infalpar
	ren	hd2b_7	infalcrm
	ren	hd2b_8	infaloth
	ren	hd12_1	unpalnon
	ren	hd12_2	unpaldep
	ren	hd12_3	unpalslp
	ren	hd12_4	unpalill
	ren	hd12_5	unpalsck
	ren	hd12_6	unpalblk
	ren	hd12_7	unpalhdc
	ren	hd12_8	unpalabu
	ren	hd12_9	unpalvio
	ren	hd12_10	unpaloth
	ren	hd12_12	unpalnvd
	ren	hd13_1	stpalaff
	ren	hd13_2	stpalsoc
	ren	hd13_3	stpallik
	ren	hd13_4	stpalsik
	ren	hd13_5	stpalill
	ren	hd13_6	stpalmon
	ren	hd13_7	stpalodl
	ren	hd13_8	stpalcnt
	ren	hd13_9	stpalors
	ren	hd13_11	stpalnev
	ren	hd19_1	dkviewmo
	ren	hd19_2	dkviewfa
	ren	hd20_1	gpbdk
	ren	hd20_2	gpbmusic
	ren	hd20_3	gpbfood
	ren	hd20_4	gpbfrnd
	ren	hd20_5	gpbfull
	ren	hd20_6	gpbbeer
	ren	hd20_7	gpbfruit
	ren	hd20_8	gpbrange
	ren	hd20_9	gpbserv
	ren	hd20_10	gpbyoung
	ren	hd21_1	dkalfa
	ren	hd21_2	dkalfafa
	ren	hd21_3	dkalmo
	ren	hd21_4	dkalmomo
	ren	hd21_5	dkalelsi
	ren	hd21_6	dkalelbr
	ren	hd21_7	dkalgfrd
	ren	hd21_8	dkalbfrd
	ren	hd21_9	dkalnext
	ren	oa4_1	teenhome
	ren oe1_1 	infathe
	ren oe1_2 	inmothe
	ren oe1_3 	insiblin
	ren oe1_4 	infmothe
	ren oe1_5 	ininvest
	ren oe1_6 	inannuit
	ren oe1_7 	insupben
	ren oe1_8 	inunempl
	ren oe1_9 	inwidow
	ren oe1_10 	insickbe
	ren oe1_11 	in1paren
	ren oe1_12 	inhouben
	ren oe1_13 	inmobili
	ren oe1_14 	inrentrb
	ren oe1_15 	inretpen
	ren oe1_16 	indisabi
	ren oe1_17 	inattend
	ren oe1_18 	insupple
	ren oe1_19	inother
	ren	oe2		inparent
	ren	oe3_2	expfood
	ren	oe3_3	expfoodn
	ren	oe3_5	expalc
	ren	oe3_6	expalcn
	ren	oe3_8	exptobc
	ren	oe3_9	exptobcn
	ren	oe3_11	expclth
	ren	oe3_12	expclthn
	ren	oe3_14	exptrav
	ren	oe3_15	exptravn
	ren	oe3_17	expentr
	ren	oe3_18	expentrn
	ren	og2_1	smkhabm
	ren	og2_2	smkcigtnm
	ren	og2_3	smkagstrm
	ren	og2_4	smkaggvrm
	ren	og2_5	smkstpn
	ren	og2_6	smkhusb
	ren	og2_7	smkhusbn
	ren	og2_8	smkhusst
	ren	og2_9	smkhusgv
	ren	og2_10	smkhsstn
	ren	og2_11	smkmo
	ren	og2_12	smkmon
	ren	og2_13	smkmoast
	ren	og2_14	smkmoaga
	ren	og2_15	smkmogan
	ren	pa1_1	tnwellB
	ren	pa1_3	tnbadaff
	ren	pc6_1	tnhusprtN
	ren	pd1_1	mobckacN
	ren	pd1_3	modeprsN
	ren	pd1_5	moworryN
	ren	pd1_10	moirritN
	ren	pd1_14	moeasirrN
	ren	pd1_20	monerveN
	ren	pd2_8	moanywlfN
*	ren	q22_20	pbfreq		I do not know why previously I had named this variable in this way
	ren	q31_1	drgtgluP
	ren	q31_3	drgtuppP
	ren	q31_5	drgtdowP
	ren	q31_7	drgtcanP
	ren	q31_9	drgtlsdP
	ren	q31_11	drgtcocP
	ren	q31_13	drgtsemP
	ren	q31_15	drgtherP
	ren	q32_1	drgflgluN
	ren	q32_3	drgfluppN
	ren	q32_5	drgfldowN
	ren	q32_7	drgflcanN
	ren	q32_9	drgfllsdN
	ren	q32_11	drgflcocN
	ren	q32_13	drgflsemN
	ren	q32_15	drgflherN
	ren	q33_1	drgwhglu
	ren	q33_3	drgwhupp
	ren	q33_5	drgwhdow
	ren	q33_7	drgwhcan
	ren	q33_9	drgwhlsd
	ren	q33_11	drgwhcoc
	ren	q33_13	drgwhsem
	ren	q33_15	drgwhher
	ren	rb1	behavprB
	ren	rc4_1	psycmalB
	ren	rc4_2	psydeprB
	ren	rc4_3	psyaggrB
	ren	rc4_4	psyanorB
	ren	rc4_5	psychosB
	ren	rc4_6	psyneurB
	ren	rc4_7	psysuicB
	ren	t2a1_1	epolengB
	ren	t2a1_2	epolengG
	ren	t2a2_1	epcseengB
	ren	t2a2_2	epcseengG
	ren	t2b1_1	epollitB
	ren	t2b1_2	epollitG
	ren	t2b2_1	epcselitB
	ren	t2b2_2	epcselitG
	ren	t2c1_1	epolmatB
	ren	t2c1_2	epolmatG
	ren	t2c2_1	epcsematB
	ren	t2c2_2	epcsematG
	ren	t2d1_1	epolsciB
	ren	t2d1_2	epolsciG
	ren	t2d2_1	epcsesciB
	ren	t2d2_2	epcsesciG
	ren	t2e1_1	epolphyB
	ren	t2e1_2	epolphyG
	ren	t2e2_1	epcsephyB
	ren	t2e2_2	epcsephyG
	ren	t2f1_1	epolbioB
	ren	t2f1_2	epolbioG
	ren	t2f2_1	epcsebioB
	ren	t2f2_2	epcsebioG
	ren	t2g1_1	epolhisB
	ren	t2g1_2	epolhisG
	ren	t2g2_1	epcsehisB
	ren	t2g2_2	epcsehisG
	ren	t2h1_1	epolgeoB
	ren	t2h1_2	epolgeoG
	ren	t2h2_1	epcsegeoB
	ren	t2h2_2	epcsegeoG
	ren	t2i1_1	epolcheB
	ren	t2i1_2	epolcheG
	ren	t2i2_1	epcsecheB
	ren	t2i2_2	epcsecheG
	ren	t2j1_1	epolfreB
	ren	t2j1_2	epolfreG
	ren	t2j2_1	epcsefreB
	ren	t2j2_2	epcsefreG
	ren	t2k1_1	epolgerB
	ren	t2k1_2	epolgerG
	ren	t2k2_1	epcsegerB
	ren	t2k2_2	epcsegerG
	ren	t2l1_1	epolbcB
	ren	t2l1_2	epolbcG
	ren	t2l2_1	epcsebcB
	ren	t2l2_2	epcsebcG
	ren	t2m1_1	epolreB
	ren	t2m1_2	epolreG
	ren	t2m2_1	epcsereB
	ren	t2m2_2	epcsereG
	ren	t2n1_1	epolheB
	ren	t2n1_2	epolheG
	ren	t2n2_1	epcseheB
	ren	t2n2_2	epcseheG
	ren	t2o1_2	epolo1B
	ren	t2o1_3	epolo1G
	ren	t2o2_1	epcseo1B
	ren	t2o2_2	epcseo1G
	ren	t2p1_2	epolo2B
	ren	t2p1_3	epolo2G
	ren	t2p2_1	epcseo2B
	ren	t2p2_2	epcseo2G
	ren	t2q1_2	epolo3B
	ren	t2q1_3	epolo3G
	ren	t2q2_1	epcseo3B
	ren	t2q2_2	epcseo3G
	ren	t2r1_2	epolo4B
	ren	t2r1_3	epolo4G
	ren	t2r2_1	epcseo4B
	ren	t2r2_2	epcseo4G
	ren	t2s1_2	epolo5B
	ren	t2s1_3	epolo5G
	ren	t2s2_1	epcseo5B
	ren	t2s2_2	epcseo5G
	ren	t2t1_2	epolo6B
	ren	t2t1_3	epolo6G
	ren	t2t2_1	epcseo6B
	ren	t2t2_2	epcseo6G
	ren	t2u1_2	epolo7B
	ren	t2u1_3	epolo7G
	ren	t2u2_1	epcseo7B
	ren	t2u2_2	epcseo7G
	ren	t2v1_2	epolo8B
	ren	t2v1_3	epolo8G
	ren	t2v2_1	epcseo8B
	ren	t2v2_2	epcseo8G
	ren	t2w1_2	epolo9B
	ren	t2w1_3	epolo9G
	ren	t2w2_1	epcseo9B
	ren	t2w2_2	epcseo9G
	ren	t2x1_2	epolo10B
	ren	t2x1_3	epolo10G
	ren	t2x2_1	epcseo10B
	ren	t2x2_2	epcseo10G
	ren	t6_1	pqtrdapp
	ren	t6_2	pqolevel
	ren	t6_3	pqalevel
	ren	t6_4	pqnurse
	ren	t6_5	pqteach
	ren	t6_6	pqdegree
	ren	t6_7	pqother
	ren	t6_9	pqnoqual
	ren	t6_10	pqnotkno
	ren	t7_1	pqfageft
	ren	t7_2	pqmageft
	ren	t91_1	unempfwk
	ren	t91_2	illfthwk
	ren	t92_1	unempmwk
	ren	t92_2	illmotwk	
* New Variables added on 13 May 2012
	ren	c5f1	smkbadyrsN
	ren	c5f2	smkkiddpunN
	ren	c5f3	smklowwgtN
	ren	c5f4	smkhrmnonN
	ren	c5f5	smkadvbanN
	ren	c5f6	smkregcanN
	ren	c5f7	smkenjoyN
	ren	c5f8	smkbankidN
	ren	c5f9	smkbadlotN
	ren	c5f10	smkwthfrdN
	ren	c5f11	smkprghrmN
	ren	c5f12	smklivlngN
	ren	c5f13	smkhrdgetN
	ren	c5f14	smkothfunN
	ren	c5f15	smkdirhabN
	ren	c5f16	smknotdngN
	ren	c5f17	smkhlpnrvN
	ren	c5i1	flconcentN
	ren	c5i2	fldecisioN
	ren	c5i3	flfacepr
	ren	c5i4	flhappyN
	ren	c5i5	flenjoynmN
	ren	c5i6	flusefulN
	ren	c5i7	flstsleepP
	ren	c5i8	flstrainP
	ren	c5i9	flcdntdifP
	ren	c5i10	fldepressP
	ren	c5i11	fllosconfdP
	ren	c5i12	flworthlsP
	ren	gh1a1	smknotlike
	ren	gh1a2	smknot2exp
	ren	gh1a3	smknotunhl
	ren	gh1a4	smknotperm
	ren	gh1a5	smknotadic
	ren	gh1a6	smknotdirt
	ren	gh1a7	smknotupst
	ren	gh1a8	smknotothr
	ren	gh2		smknumweek
	ren	gh3_1	smkreaadic
	ren	gh3_2	smkreaenjo
	ren	gh3_3	smkreaforg
	ren	gh3_4	smkreanerv
	ren	gh3_5	smkrearelx
	ren	gh3_6	smkreatens
	ren	gh3_7	smkreasoci
	ren	gh3_8	smkreaadul
	ren	gh3_9	smkreaothr
	ren	gh22	smkdif1wk
	ren	gh25_1	smkfammom
	ren	gh25_2	smkfamdad
	ren	gh25_3	smkfamsib
	ren	gh25_4	smkfamfrnd
	ren	gh25_5	smkfamboyf
	ren	gh26	smknumfrnd
	ren	gh27a	smkfeelmom
	ren	gh27b	smkfeeldad
	ren	gh28_1	smknonhlth
	ren	gh28_2	smknonattr
	ren	gh28_3	smknonsoci
	ren	gh28_4	smknondrug
	ren	gh28_5	smknonbjob
	ren	gh28_6	smknonbexm
	ren	hb4_1	frndatsch
	ren	hb4_2	frndoutsch
	ren	q39_1	drgdscglue
	ren	q39_2	drgdscuppr
	ren	q39_3	drgdscdown
	ren	q39_4	drgdsccanb
	ren	q39_5	drgdsclsd
	ren	q39_6	drgdsccoca
	ren	q39_7	drgdscsemr
	ren	q39_8	drgdschero
	ren	q310_1	drggluaccu
	ren	q310_2	drggluinac
	ren	q310_3	drggluitol
	ren	q310_4	drggludk
	ren	q310_5	drggludnds
	ren	q310_6	drggluothr
	ren	q310_7	drguppaccu
	ren	q310_8	drguppinac
	ren	q310_9	drguppitol
	ren	q310_10	drguppdk
	ren	q310_11	drguppdnds
	ren	q310_12	drguppothr
	ren	q310_13	drgdowaccu
	ren	q310_14	drgdowinac
	ren	q310_15	drgdowitol
	ren	q310_16	drgdowdk
	ren	q310_17	drgdowdnds
	ren	q310_18	drgdowothr
	ren	q310_19	drgcanaccu
	ren	q310_20	drgcaninac
	ren	q310_21	drgcanitol
	ren	q310_22	drgcandk
	ren	q310_23	drgcandnds
	ren	q310_24	drgcanothr
	ren	q310_25	drglsdaccu
	ren	q310_26	drglsdinac
	ren	q310_27	drglsditol
	ren	q310_28	drglsddk
	ren	q310_29	drglsddnds
	ren	q310_30	drglsdothr
	ren	q310_31	drgcocaccu
	ren	q310_32	drgcocinac
	ren	q310_33	drgcocitol
	ren	q310_34	drgcocdk
	ren	q310_35	drgcocdnds
	ren	q310_36	drgcocothr
	ren	q310_37	drgsemaccu
	ren	q310_38	drgseminac
	ren	q310_39	drgsemitol
	ren	q310_40	drgsemdk
	ren	q310_41	drgsemdnds
	ren	q310_42	drgsemothr
	ren	q310_43	drgheraccu
	ren	q310_44	drgherinac
	ren	q310_45	drgheritol
	ren	q310_46	drgherdk
	ren	q310_47	drgherdnds
	ren	q310_48	drgherothr
	ren	q312_1	drgstsfthar
	ren	q312_2	drgstcrimi
	ren	q312_3	drgst1addic
	ren	q312_4	drgstherdi
	ren	q312_5	drgstunsta
	ren	q312_6	drgsthelp
	ren	q313_1	drggluhig
	ren	q313_2	drgupphig
	ren	q313_3	drgdowhig
	ren	q313_4	drgcanhig
	ren	q313_5	drglsdhig
	ren	q313_6	drgcochig
	ren	q313_7	drgsemhig
	ren	q313_8	drgherhig
	ren	q313_9	drggluhap
	ren	q313_10	drgupphap
	ren	q313_11	drgdowhap
	ren	q313_12	drgcanhap
	ren	q313_13	drglsdhap
	ren	q313_14	drgcochap
	ren	q313_15	drgsemhap
	ren	q313_16	drgherhap
	ren	q313_17	drgglusex
	ren	q313_18	drguppsex
	ren	q313_19	drgdowsex
	ren	q313_20	drgcansex
	ren	q313_21	drglsdsex
	ren	q313_22	drgcocsex
	ren	q313_23	drgsemsex
	ren	q313_24	drghersex
	ren	q313_25	drgglucal
	ren	q313_26	drguppcal
	ren	q313_27	drgdowcal
	ren	q313_28	drgcancal
	ren	q313_29	drglsdcal
	ren	q313_30	drgcoccal
	ren	q313_31	drgsemcal
	ren	q313_32	drghercal
	ren	q313_33	drggluten
	ren	q313_34	drguppten
	ren	q313_35	drgdowten
	ren	q313_36	drgcanten
	ren	q313_37	drglsdten
	ren	q313_38	drgcocten
	ren	q313_39	drgsemten
	ren	q313_40	drgherten
	ren	q313_41	drgglustr
	ren	q313_42	drguppstr
	ren	q313_43	drgdowstr
	ren	q313_44	drgcanstr
	ren	q313_45	drglsdstr
	ren	q313_46	drgcocstr
	ren	q313_47	drgsemstr
	ren	q313_48	drgherstr
	ren	q313_49	drgglunoc
	ren	q313_50	drguppnoc
	ren	q313_51	drgdownoc
	ren	q313_52	drgcannoc
	ren	q313_53	drglsdnoc
	ren	q313_54	drgcocnoc
	ren	q313_55	drgsemnoc
	ren	q313_56	drghernoc
	ren	q313_57	drgglunke
	ren	q313_58	drguppnke
	ren	q313_59	drgdownke
	ren	q313_60	drgcannke
	ren	q313_61	drglsdnke
	ren	q313_62	drgcocnke
	ren	q313_63	drgsemnke
	ren	q313_64	drghernke
	ren	q314_1	drgglulik
	ren	q314_2	drggluenj
	ren	q314_3	drgglufrd
	ren	q314_4	drggluadc
	ren	q314_5	drggluotre
	ren	q314_6	drggludkw
	ren	q314_7	drgupplik
	ren	q314_8	drguppenj
	ren	q314_9	drguppfrd
	ren	q314_10	drguppadc
	ren	q314_11	drguppotre
	ren	q314_12	drguppdkw
	ren	q314_13	drgdowlik
	ren	q314_14	drgdowenj
	ren	q314_15	drgdowfrd
	ren	q314_16	drgdowadc
	ren	q314_17	drgdowotre
	ren	q314_18	drgdowdkw
	ren	q314_19	drgcanlik
	ren	q314_20	drgcanenj
	ren	q314_21	drgcanfrd
	ren	q314_22	drgcanadc
	ren	q314_23	drgcanotre
	ren	q314_24	drgcandkw
	ren	q314_25	drglsdlik
	ren	q314_26	drglsdenj
	ren	q314_27	drglsdfrd
	ren	q314_28	drglsdadc
	ren	q314_29	drglsdotre
	ren	q314_30	drglsddkw
	ren	q314_31	drgcoclik
	ren	q314_32	drgcocenj
	ren	q314_33	drgcocfrd
	ren	q314_34	drgcocadc
	ren	q314_35	drgcocotre
	ren	q314_36	drgcocdkw
	ren	q314_37	drgsemlik
	ren	q314_38	drgsemenj
	ren	q314_39	drgsemfrd
	ren	q314_40	drgsemadc
	ren	q314_41	drgsemotre
	ren	q314_42	drgsemdkw
	ren	q314_43	drgherlik
	ren	q314_44	drgherenj
	ren	q314_45	drgherfrd
	ren	q314_46	drgheradc
	ren	q314_47	drgherotre
	ren	q314_48	drgherdkw
	ren	q317_1	drgdangglu
	ren	q317_2	drgdangupp
	ren	q317_3	drgdangdow
	ren	q317_4	drgdangcan
	ren	q317_5	drgdanglsd
	ren	q317_6	drgdangcoc
	ren	q317_7	drgdangsem
	ren	q317_8	drgdangher
	* New Vars added on 19/05/2012
	ren	c5e1	camorefun
	ren	c5e2	cafultmjob
	ren	c5e3	carespself
	ren	c5e4	canotbossd
	ren	c5e5	caablevote
	ren	c5e6	canotdoss
	ren	c5e7	calvawayhm
	ren	c5e8	cagetmarrd
	ren	c5e9	canghtclub
	ren	c5e10	calocalcom
	ren	c5e11	caxfilms
	ren	c5e12	calegdralc
	ren	c5e13	capolitics
	ren	c5e14	cahavchild
	ren	c5e15	cadecidwnt
	ren	c5h1	prsamquiet
	ren	c5h2	prskeenpet
	ren	c5h3	prsgdlook
	ren	c5h4	prsfriendl
	ren	c5h5	prsambored
	ren	c5h6	prsclever
	ren	c5h7	prsamlazy
	ren	c5h8	prsgrownup
	ren	c5h9	prspnctual
	ren	c5h10	prsbadschl
	ren	c5h11	prsamshy
	ren	c5h12	prsoftldof
	ren	c5h13	prsamangry
	ren	c5h14	prshelpful
	ren	c5h15	prsrespons
	ren	c5h16	prssports
	ren	c5h17	prsnervous
	ren	c5h18	prsvarious
	ren	c5h19	prsobednt
	ren	c5h20	prsviolent
	ren	c5h21	prsgdexams
	ren	c5h22	prsinfrnds
	ren	c5h23	prslonely
	ren	c5h24	prsindep
	ren	c5h25	prsreliabl
	ren	c5h26	prslovingp
	ren	c5h27	prspopular
	ren	c5b1	dllikevknw
	ren	c5b2	dloklawoth
	ren	c5b3	dlwglawhrm
	ren	c5b4	dladmmistk
	ren	c5b5	dlwglawcho
	ren	c5b6	dlwglawdis
	ren	c5b7	dlsamaritn
	ren	c5b8	dlwglwunfr
	ren	c5b9	dlalwynice
	ren	c5b10	dloklawfrd
	ren	q21_1	dlkbrkwin
	ren	q21_2	dlkshoplft
	ren	q21_3	dlkstlmon
	ren	q21_4	dlkstlles5
	ren	q21_5	dlkstlthrt
	ren	q21_6	dlkstlhous
	ren	q21_7	dlkstlmor5
	ren	q21_8	dlktknoths
	ren	q21_9	dlktookbik
	ren	q21_10	dlkstlfcar
	ren	q21_11	dlkbrokatm
	ren	q21_12	dlkcarnprm
	ren	q21_13	dlkfrmgard
	ren	q22_1	dldsmshprp
	ren	q22_2	dldvidnsty
	ren	q22_3	dldstolmon
	ren	q22_4	dldliedage
	ren	q22_5	dldstlthrt
	ren	q22_6	dldxfilm
	ren	q22_7	dldstlmor5
	ren	q22_8	dldnschprm
	ren	q22_9	dldtookbik
	ren	q22_10	dldbetshop
	ren	q22_11	dldcarnprm
	ren	q22_12	dldarcmor5
	ren	q22_13	dldbrokatm
	ren	q22_14	dldtattoo
	ren	q22_15	dldstlfcar
	ren	q22_16	dldswortch
	ren	q22_17	dldstlhous
	ren	q22_18	dldpornmag
	ren	q22_19	dldstlgarg
	ren	q22_20	dldalcpub
	ren	q22_21	dldstlles5
	ren	q22_22	dldphnprnk
	ren	q22_23	dldtknoths
	ren	q22_24	dlddrvncar
	ren	q22_25	dldsoldshp
	ren	q22_26	dldstalnig
	ren	hd10_6	dr4pastwk
	ren	hd11_1	drpenone
	ren	hd11_10	drpenevdrk
	ren	hd11_2	drpelesshy
	ren	hd11_3	drpehappy
	ren	hd11_4	drpefrndly
	ren	hd11_5	drpeconfid
	ren	hd11_6	drpenoprob
	ren	hd11_7	drpesexy
	ren	hd11_8	drpeother
	ren	hd14	drevrdrunk
	ren	hd15	dr2much
	ren	hd16_1	dr4row
	ren	hd16_2	dr4rowfreq
	ren	hd17_1	draffight
	ren	hd17_2	drafbrkthn
	ren	hd17_3	drafupsprt
	ren	hd17_4	drafupsfrd
	ren	hd17_5	drafdrvcar
	ren	hd17_6	drafupspar
	ren	hd17_7	drafnothom
*	ren	hd17_8	drafelsehp THIS TEXT VARIABLE IS NOT IN DATASET
	ren	hd18_1	drafpolice
	ren	hd3	drpalcohol
	ren	hd3a_1	drpataste
	ren	hd3a_2	drpagdfeel
	ren	hd3a_3	drpasocatm
	ren	hd3a_4	drpafriend
	ren	hd3a_5	drpaadult
	ren	hd3a_6	drpaother
	ren	hd3b_1	drpnaeffct
	ren	hd3b_2	drpnaprice
	ren	hd3b_3	drpnahlth
	ren	hd3b_4	drpnataste
	ren	hd3b_5	drpnantdrk
	ren	hd3b_6	drpnaother
	ren	hd4_1	dralage1st
	ren	hd4_2	dralagefrd
	ren	hd5_1	drdaymon
	ren	hd5_2	drdaytue
	ren	hd5_3	drdaywed
	ren	hd5_4	drdaythu
	ren	hd5_5	drdayfri
	ren	hd5_6	drdaysat
	ren	hd5_7	drdaysun
	ren	hd5_8	drdaynotdr
	ren	pg8_1	drfrqcmmo
	ren	pg8_2	drfrqhusmo
	ren	pg8_3	drfrqownmo
	* For merging
	renvars _all, postfix(86) /*I changed it from _86 because at the time of the regressions we might appreciate one character less*/
*	rename * *86			// The new Stata 12 code for rename, without using RENVARS
	rename bcsid86 bcsid
gen wave=86
save temp\bcs86, replace





**********************************************************************************************
**********************************************************************************************
* 1996 BCS
**********************************************************************************************
**********************************************************************************************

#delimit ;
use bcsid sex b960131 b960132 b96061* b96062* b960567 b96063* b960247 
		b960312 b960318 wklypay wklypayc 
		b960664 b960321 b960322 b960333 
	 b960666 b960667 b960639
using original_datafiles\bcs96x, clear;
#delimit cr

* Minor edits
	replace b960666=10 if b960667==1 /*Life satisfaction==10 is coded separately in var b960667). There are still 2 observations==2 in b960667 which I do not know to which number they correspond to in b960666 (==8? ==10?)*/
		drop b960667
	drop b960612 /*no variation*/
	drop b960637 /*backache does not contribute to future analysis*/
	drop b960638 /*tired doesn't contribute*/
	* RENAMING VARIABLES - MEANINGFUL NAMES
	ren b960131 fteducst
	ren b960132 fteducyr
	ren	b960247	unempnp
	ren	b960312	netpay
	ren b960318 netpaypr
	ren	b960321	livngsit
	ren	b960333	numchild
	ren	b960567	alcfreq
	ren	b960632	smkhabit
	ren	b960633	smkcigtn
	ren	b960635	smkcign
	ren	b960639	depresdB
	ren	b960664	livstwrs
	ren	b960666	lifesat
	ren	b960613	alcshwk
	ren	b960615	alcbrwk
	ren	b960617	alclbrwk
	ren	b960619	alccdwk
	ren	b960621	alclcdwk
	ren	b960623	alcwnwk
	ren	b960625	alclwnwk
	ren	b960627	alcspwk
	ren	b960629	alcmtwk
	ren	b960631	alcothwk
	* For merging
	renvars _all, postfix(96)
*	rename * *96			// The new Stata 12 code for rename, without using RENVARS
	rename bcsid96 bcsid
gen wave=96
save temp\bcs96, replace
	
	
	
	
	
**********************************************************************************************
**********************************************************************************************
* BCS 2000
**********************************************************************************************
**********************************************************************************************

#delimit ;
use bcsid 
	dmsex drinks beer spirits wine sherry pops othdrink 
	cannabis ecsacy amphet lsd popper magmush cocaine temaz semeron ketamine crack heroin methad
	religion freqrelg outalone emosup smoking numsusps numexcls truant police* court
	agelfted edqtyp* bencod* 
	finnow travtowk efficac2
	econact incamt* incprd* cnetpay cnetprd cnetpred pnetpay pnetprd pnetpred ojnetpw seaccnts seprofit seearn
	benamt* benprd* incamt* incprd*
	marstat marstat2 ms othrela happyrel outtog samepart wishp* sepc famclose fameats malive masees
	closema mapadiva mapadivb evercar* timecare mhprobs* cage* ghq12 lifesat* ghq9
	hhsize 
	hlthgen hlthyr
	emosup emosupc emosupd emosupf emotok happyrel wishp1 wishp2	
	edgcse1 edgcse2 edolev1 edolev2 edcse1 edcse2 edasl1 edasl2 edgcasl1 edgcasl2
	edscot*
	numdeg numothdg numhghdg 
	edqtyp* numotht numparam voconc vochnc bteclev* citylev*
	rsalev* pitlev* nvqlev* gnvlev* vocapp vochgv vocoth edquals* vocqual*
	voctyp* numyts numgov numap numfqual numac numwrktr numleis numread numwrite
	nummaths dmpart dmsex
	/*Added by BB 26/7/2013*/
	lsiany lsiany2 tenure tenure2 chours* cjsehrs nofcigs prega* height ht* weight wt*
	/*Added by BB April 2014 - some of which are above*/
	peconact
using original_datafiles\bcs2000, clear;
#delimit cr

* Renaming
	ren dmsex 	sex
	renvars _all, postfix(00)
*	rename * *00			// The new Stata 12 code for rename, without using RENVARS
	rename bcsid00 bcsid
gen wave=00
save temp\bcs2000, replace
	
	
	
	
	
	
**********************************************************************************************
**********************************************************************************************
* BCS2004
**********************************************************************************************
**********************************************************************************************

do "$dodir\1_highest_educ_2004_v1.do"		// Creates the education vars that are picked just below (rather than importing all the underlying vars)
#delimit ;
use bcsid
	bd7sex b7drinks b7beer b7spiris b7wine b7sherry b7pops b7othdnk bd7dunit
	b7dopety b7dopefq b7rpasel b7rrelps b7rnowrl b7rnoweq
	b7smokig b7nfcigs b7highal b7eqtp14 b7eqtp15 b7eqtp16 b7eqtp17
	b7cjperm
	b7xso000 b7xso001 b7xso002 b7xso003 b7xso004 b7xso005 b7xso006 b7xso007 b7xso008 b7xso009 b7xso010
	b7cnetpy b7cnetpd b7ten2 b7ten 
	b7chour* b7cjsehs b7travwk b7effic2
	b7marst2 b7marstt bd7ms  b7othrea bd7maliv b7lpara
	b7cage1 b7cage2 b7cage3 b7cage4 b7cage5 b7cage6 b7cage7 b7cage8 b7cage9 b7cage10
	b7carejy b7lifet1 b7lifet2 b7mal03 b7k1
	bd7ecact b7iamt* b7iprd* b7cnetpy b7cnetpd b7pnetpy b7pnetpd b7ojnetw b7seacts b7seprit
	b7bamt* b7bprd*
	b7khlstt b7khllt
	b7emosuf bd7vfrnd bd7nsup 
	/* Added 27/7/2013 by BB*/
	b7lsiany b7gor b7preg* bd7bmi*
	/* Added 23/4/2014 by BB - requires us to have done the other .do file above to get the highest educ vars*/
	bd7achq1 bd7anvq1 bd7vnvq1 bd7nvq1 bd7hq13 
	bd7potha b7seearn b7ojnetw b7iamt* b7iprd*
using temp\bcs_2004_followup_edvars, clear;
#delimit cr

* Renaming
	rename bd7* b7* /*7...is not an acceptable var name*/
	renvars _all, predrop(2)
	rename sid bcsid
	renvars _all, postfix(04)
*	rename * *04					// The new Stata 12 code for rename, without using RENVARS
	rename bcsid04 bcsid
	rename potha04	pecact04		// No idea why this is so badly named in the original
gen wave=04
save temp\bcs2004, replace

	
	
	
	

	
**********************************************************************************************
**********************************************************************************************
* BCS2012, added by BB 23/4/2014
**********************************************************************************************
**********************************************************************************************

/* The first time, run:
	use original_datafiles\bcs70_2012_flatfile, replace
		renvars, lower
		save, replace
	use original_datafiles\bcs70_2012_derived, replace
		renvars, lower
		merge 1:1 bcsid using original_datafiles\bcs70_2012_flatfile
		drop _merge
	save temp\bcs70_2012_merged, replace
*/
#delimit ;
use bcsid
	bd9nualc b9drnk01 b9drnk02 b9drnk03 b9drnk04 b9drnk05 b9drnk06 b9drnk07 b9drnk08 b9drnk09 b9drnk10 b9beern b9beern b9beers 
	b9spiris b9sherry b9wine b9winebt  b9wings1 b9wings2 b9wings3 b9wings4  b9wings5  b9winlag b9winstg b9winsmg b9alcopp
	b9lifst1									/*life satisfaction for LIFESAT112 and then LIFESAT100*/
	b9cmsex										/*sex for SEX12*/
	b9scq32 b9scq33 b9scq34 b9scq35 b9scq36 	/*AUDIT from s/c - prob only use first q on freq*/
	bd9ms bd9partp								/*relationship status for COHAB*/
	bd9ecact bd9peact 							/*economic activity for ACTIV12 + partner*/
	b9ten										/*housing status for HOUSING12*/
	b9scq23 									/*freq of attending religious services for RELWEEK*/
	b9smokig b9nfcigs							/*smoking vars*/
	b9tvrthr b9tvrtmn b9wrkple					/*travel to work time*/
	b9otimny b9chour* b9cjsehs					/*hours of work*/
	b9curprg									/*pregnancy status*/
	b9hlthgn b9loil								/*health*/
	/*PAY QUESTIONS*/
	b9neta b9netp b9pnetpy b9pnetpd 			/*pay questions for self & partner*/
	b9sjua b9sjup b9ease 						/*pay from other jobs*/
	b9sepa b9pxts 								/*self-emp pay questions*/
	b9bena* b9benp* b9inc b9incc*				/*benefits + other income*/
	b9totncp b9ttncnp b9tncpdr b9ttnpdr 		/*overall pay, separated by hhld type with different bands*/
	/*need to use the file that merges in the dvs, not the original file*/
using temp\bcs70_2012_merged, clear;
#delimit cr

* Renaming * minor edits
	rename bd9* b9*
	renvars _all, predrop(2)
	renvars _all, postfix(12)
	rename net?12 	cnet?12						// So that can loop over cohort member and partner
		rename pnetpy12 pneta12
		rename pnetpd12 pnetp12
	rename sid12 	bcsid
	rename ecact12	econact12
	rename peact12	peconact12
	gen wave=12
save temp\bcs2012, replace

	
	
	
	
	
//////////////////////////////////////////////////////
//////////////////////////////////////////////////////
// MERGING
//////////////////////////////////////////////////////
//////////////////////////////////////////////////////

use temp\bcs80, clear
	merge m:m bcsid using temp\bcs86, gen(merge86)
	merge m:m bcsid using temp\bcs96, gen(merge96)
	merge m:m bcsid using temp\bcs2000, gen(merge00)
	merge m:m bcsid using temp\bcs2004, gen(merge04)
	merge m:m bcsid using temp\bcs2012, gen(merge12)
numlabel _all, mask(#_) add /*Adds numerical code to each variable label*/
drop wave			// This is misleading - the data are in wide format!	
save temp\bcs1986-2012, replace



